-------------------------------------------------------------------------------------
-- | Namespace Definitions |---------------------------------------------------------
-------------------------------------------------------------------------------------

-- Retrieve the addon name and the namespace table.
local addon, npcg = ...

local functua = npcg.functua
local stringLib = npcg.functua.string
local util = npcg.functua.util

function npcGenerator_settings_Frame_Input_MockZone_OnShow(self)
	self:SetText(util.eitherOr(not stringLib.nilOrWhitespace(NPCG_Options.locationSettings.mockZone), NPCG_Options.locationSettings.mockZone, self.defaultText))
	self.Refresh()
end

function npcGenerator_settings_Frame_Input_MockSubZone_OnShow(self)
	self:SetText(util.eitherOr(not stringLib.nilOrWhitespace(NPCG_Options.locationSettings.mockSubZone), NPCG_Options.locationSettings.mockSubZone, self.defaultText))
	self.Refresh()
end
