-------------------------------------------------------------------------------------
-- | Namespace Definitions |---------------------------------------------------------
-------------------------------------------------------------------------------------

-- Retrieve the addon name and the namespace table.
local addon, npcg = ...

local util 			= npcg.functua.util

local generator = { }
local data = { }
local tests = { }

-- generators and data do not exist yet
npcg.generators.fear	= generator
npcg.data.fear				= data
npcg.tests.fear				= tests

local fears = {
-- a
-- b
  "bees",
  "being alone",
  "birds",
  "Blood Elves",
  "bugs",
-- c
  "cold",
-- d
  "demons",
  "dirt",
  "dragons",
  "dying",
-- e
  "Elves",
  "enclosed spaces",
-- f
  "falling asleep",
  "fire",
  "flying",
-- g
  "gnomes",
  "Goblins",
-- h
  "Half Elves",
  "High Elves",
  "heights",
  "Humans",
-- i
-- j
-- k
-- l
  "loud sounds",
-- m
  "men",
-- n
  "Night Elves",
  "numbers",
-- o
  "Orcs",
-- p
  "Pandaren",
-- q
-- r
-- s
  "spiders",
  "snakes",
  "sunlight",
-- t
  "Tauren",
  "technology",
  "the color purple",
  "the dark",
  "the Forsaken",
  "the Game",
  "the Plague",
  "the unknown",
-- u
-- v
-- w
  "water",
  "women",
  "Worgen",
-- x
-- y
-- z
}

function generateRandomFear()
  return util.randomFrom(fears)
end